Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoReduceMergeReduce< EOT > Class Template Reference

eoReduceMergeReduce is an eoReplacement: - saves possible elite parents - reduces rest of parents - reduces offspring - merges reduced populations - reduces resulting merged pop if necessary More...

`#include <eoReduceMergeReduce.h>`

Inheritance diagram for eoReduceMergeReduce< EOT >:

List of all members.

## Public Member Functions
| eoReduceMergeReduce (eoHowMany _howManyElite, bool _strongElitism, eoHowMany _howManyReducedParents, eoReduce< EOT > &_reduceParents, eoHowMany _howManyReducedOffspring, eoReduce< EOT > &_reduceOffspring, eoReduce< EOT > &_reduceFinal)
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
eoHowMany | howManyElite
bool | strongElitism
eoHowMany | howManyReducedParents
eoHowMany | howManyReducedOffspring
eoReduce< EOT > & | reduceParents
eoReduce< EOT > & | reduceOffspring
eoReduce< EOT > & | reduceFinal

## Detailed Description

### template<class EOT>
class eoReduceMergeReduce< EOT >

eoReduceMergeReduce is an eoReplacement: - saves possible elite parents - reduces rest of parents - reduces offspring - merges reduced populations - reduces resulting merged pop if necessary

Definition at line 49 of file eoReduceMergeReduce.h.

The documentation for this class was generated from the following file:

- eoReduceMergeReduce.h